from asap import *

# Load in the data

#scans=scantable("/nfs/PKCCC3_4/2009-06-20_0527_ON2.rpf")
scans=scantable("/nfs/PKCCC3_4/2009-06-21_0322_ON2.rpf")

# Set some parameters

scans.set_freqframe('LSRK')
scans.set_doppler('RADIO')
scans.set_unit('km/s')
#scans.set_unit('GHz')

#H20
#scans.set_restfreqs(freqs=22235.08e6)

#NH3
scans.set_restfreqs(freqs=23694.496e6)

# Do the freq switching

scans.freq_switch()

# Average the polarisations together
iav=scans.average_pol()

#plotter.set_range(-60,60)
plotter.set_range(-100,300)
#iav.auto_poly_baseline()

plotter.plot(iav)

#outname=str(fnames)
#outname1=outname[32:44]

#plotter.save('save_images/'+outname1+'.ps')

plotter.save('save_images/2009-06-21_0322_ON2_fqcsw.ps')

#iav = iav.save('IRDC316.76-1','CLASS','overwrite')

#iav.save('raw_ascii/2009-06-21_0322_ON2_fqcsw_','ascii')

del iav
del scans